Subject: bug#36421: closed (Re: bug#36421: Having some text with face height > 1.0 causes scroll-step to be ignored)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 16 Sep 2019 03:09:02 +0000

Your bug report

#36421: Having some text with face height > 1.0 causes scroll-step to be ignored

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36421: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36421
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36421: Having some text with face height > 1.0 causes scroll-step to be ignored
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], Andrea Cardaci <[email-masked]>
Date: Mon, 16 Sep 2019 05:08:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

> tags 36421 notabug
> thanks
>
> > From: Andrea Cardaci <[email-masked]>
> > Date: Sat, 29 Jun 2019 01:29:54 +0200
> > Cc: [email-masked]
> >
> > Yes, thanks, I'm aware of that (and actually the issue doesn't appear if I use a value > 100 for that variable),
> > but it does a different thing, for example it does not center anymore the next word when I use interactive
> > search and that's something nice to have.
> >
> > Moreover, it looks like a bug nevertheless...
>
> It is not a bug.  scroll-step works in units of the canonical line
> height, not of the actual height of the line that needs to be scrolled
> into the view.

Since this is notabug, I'm also closing it now.

Best regards,
Stefan Kangas

Subject: Having some text with face height > 1.0 causes scroll-step to be ignored
From: Andrea Cardaci <[email-masked]>
To: [email-masked]
Date: Fri, 28 Jun 2019 18:19:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Basically as the title says, here's how to reproduce this:

1. start Emacs with -Q;

2. evaluate this sexp:

   (progn
     (custom-set-variables
      '(scroll-step 1)
      '(scroll-margin 0))
     (with-current-buffer (switch-to-buffer "test")
       (insert (make-string 100 ?\n)
      (propertize "XXX" 'face '(:height 2.0))
      (make-string 100 ?\n))))

3. in the newly created buffer press and keep pressed <up>.

You'll notice that the point moves to the top of the window and stays
there, but as soon as it *steps* over "XXX", the point is centered.

This is pretty annoying in my case where I use big headings in Markdown
mode.

This happens, at least, in Emacs 25.1.1, 24.5.1 and 26.2 on Linux. Please
let me know if you need additional details.

Best,

Andrea